Copyright: TweakIt (Voodoo Version)


TweakIt 2.0.30

BETA RELEASE 6

Voodoo / Voodoo2 Chipset Version

bgr software

Brian Galm

7941 Little Dipper Avenue

Anchorage, AK  99504

bgalm@arctic.net

Contents

Disclaimer

Trademarks and Development Tools Used

Program

Environment Settings

TweakIt Options

Disclaimer

The software and accompanying written materials (including

instructions for use) are provided "AS IS" without warranty

of any kind. Further, BGR Software does not warrant, guarantee, or make

any representations regarding the use, or the results of the use,

of the software or written materials in terms of correctness,

accuracy, reliability, currentness, or otherwise. The entire risk

as to the result and performance of the software is assumed by

you. If the software or written materials are defective you, and

not BGR Software or its dealers, distributors, agents or employees, assume

the entire cost of all necessary servicing, repair, or correction.

No warranties of any kind, either express or implied,

including but not limited to the implied warranties of

merchantability and fitness for a particular purpose, that

are made by BGR Software on this BGR Software product. No oral or written

information or advice given by BGR Software, its dealers, distributors,

agents or employees shall create a warranty or in any way increase

the scope of this warranty, and you may not rely on any such

information or advice. This warranty gives you specific

legal rights. You may have other legal rights, which vary

from state to state.

Neither BGR Software nor anyone else who has been involved with the

creation, production, or delivery of this product shall be

liable for any direct, indirect, consequential, or incidental

damages (including but not limited to damages for loss of

business profits, business interruption, loss of business

information, and the like) arising out of the use or inability

to use such product even if BGR Software has been advised of the

possibility of such damages. Because some states do not allow the

exclusion or limitation of liability for consequential or

incidental damages, the above limitation may not apply to you.

Trademarks

All other trademarks and copyrights belong to their respective holders.

Development Tools Used

Environment	Visual Basic 5.0 Professional

Program

Program TweakIt

Name     TWEAKIT.EXE

Installation Requirements

This program requires the Microsoft Visual Basic 5.0 Runtimes. These are standard Microsoft support files, which are necessary to run any modern application written in the Visual Basic 5 programming language.  You can download these Runtime files from one of the links listed below:

ftp://ftp.cdrom.com/pub/3dfxmania/utility/vb5rtsp3.exe

ftp://mirrors.telepac.pt/pub/3dfxmania/utility/vb5rtsp3.exe

Please make sure VB5 Runtimes are installed BEFORE you try to install TweakIt. Just double-click on the EXE or ZIP file to update/install all the latest runtime DLL files from Microsoft.  These will be useful for many other new programs as well.

NOTE:  you may be prompted to reboot during the runtimes installation process and required to run the installation a second time after your system reboots. This is often necessary to update the OLE automation DLL files that may be in use at the time.

It is not necessary to first uninstall your previous version of TweakIt.  This new version will overwrite any previous installations. The TweakIt installation will install the following files to your hard drive in the TweakIt directory:

Tweakit.exe

Tweakit.hlp

These files will be installed to your windows system directory:

COMDLG32.OCX

TABCTL32.OCX

RICHTX32.OCX

SUBCLASS.OCX

What is it

TweakIt is a program designed to allow users enhance or "tweak" video card(s) that use the Voodoo or Voodoo 2 chipset.

Environment Variables

(SST_ or SSTV2_ Settings)

Variable

Default Value

Possible Values

Description

ARCADE

BACKPORCH

BGAMMA

0 to 1.95

Adjusts Blue Gamma

BOARDS

Allows several voodoo boards to be used in one system, across several monitors acting as one big monitor/screen

DEBUGDAC

0 (off)

0 or 1

Displays DAC debug information

DIMENSIONS

DUALHEAD

0 (off)

0 or 1

Enable dual monitor support.

FASTMEM

0 (off)

0 or 1

Enables fast DRAM and EDO settings.

FASTPCIRD

0 (off)

0 or 1

Enables Fast PCI read, substract waitstates on PCI reads. (Voodoo - PCI)

FBICFG

Frame Buffer Interface config register. Set Gouraud types, etc.

FBIMEM_SIZE

Amount of RAM in Kb

Amount of frame buffer ram installed. Overrides autodetect by Glide.

FT_CLK_DEL

Speed at which frame buffer mem can be accessed.

GAMMA

0 to 1.95

Adjusts global gamma.

GGAMMA

0 to 1.95

Adjusts green global gamma.

GRXCLK

50

Set graphic clock rate in Mhz.

HSYNC

0 (off)

0 or 1

Enable Horizontal sync.

IGNORE_INIT_REGISTERS

0 (off)

0 or 1

Allows initializing the Voodoo Chipset, even if the Voodoo is already initialized.

IGNORE_INIT_VIDEO

IGNORE_SLI_CHECK

0 (off)

0 or 1

Ignore autodetect of slave frame buffer chip for speed doubling.

INITDEBUG

0

0 or 1

Enables displaying of Glide debug informtion in DOS shell.

INITDEBUG_FILE

Valid Filenames

Instead of displaying the info on screen, GLide writes the info to the specified file.

MEMINFO_HWM

High Water Mark (Max Mem Usage)

MEMINFO_LFB

LFBChip memory memory r/w fifo buffer size

MEMINFO_LWM

Low Water Mark (Min Mem)

MEMINFO_TEX

Texture Chip memory memory r/w fifo buffer size

NODEVICEINFO

NOSHUTDOWN

0 (off)

0 or 1

Do not deinitialize voodoo (1) on program termination.

PCIFIFO_LWM

PCIRD

0 or 1

1 = enable fast PCI read

PFT_CLK_DEL

Preliminary (initial) speed at which the frame buffer memory can be accessed.

PFT_CLK0_DEL

Preliminary (initial) texture chip 0 memory access speed in delayed clocks.

PFT_CLK1_DEL

Preliminary (initial) texture chip 1 memory access speed in delayed clocks.

PFT_CLK2_DEL

Preliminary (initial) texture chip 2 memory access speed in delayed clocks.

RGAMMA

0 to 1.95

Adjusts Blue Gamma

SCREENREFRESH

60

60,75,85,120

Set vertical screen refresh rate in Hz.

SCREENREZ

Virtual screen resolution

SLIDETECT

Scan line interpolation. Detect slave voodoo chipset subsystem.

SLIM_PVOUT_CLKDEL

Master frame buffer chip preliminary pixel clock delay.

SLIM_VIN_CLKDEL

Master video in clock delay, for external sync / genlocking

SLIM_VOUT_CLKDEL

Slave system clock delay. Only valid if multiple FBI's and TMU's are present.

SLIS_PVOUT_CLKDEL

Master frame buffer chip preliminary pixel clock delay.

SLIS_VIN_CLKDEL

Slave system video in clock delay (for sync to master)

SLIS_VOUT_CLKDEL

Slave system clock delay. Only valid if multiple FBI's and TMU's are present.

SLOWPCIWR

Adds waitstates to PCI bus writes to Voodoo memory and i/o. (PCI-Voodoo)

SWAP_EN_WAIT_ON_VSYNC

1

0 or 1

0 = Turn of syncing to the monitor's vertical refresh rate.

TEXMAP_DISABLE

0

0 or 1

Disables texture mapping (1)

TF0_CLK_DEL

Texture chip 0 memory access in delayed clocks

TF1_CLK_DEL

Texture chip 1 memory access in delayed clocks

TF2_CLK_DEL

Texture chip 2 memory access in delayed clocks

TF_FIFO_TRESH

CPU/Frame Buffer Writes/reads to the texture map memory is done through fifo since the texture map chip might be doing something with that memory at the time. This sets texture map write/read fifo thr eshold to tell glide that FIFO needs to be serviced and then may accept more data from either frame buffer or CPU.

TILESINX

TMUCFG

Texture Chip Direct Bitmapped Config Register. Sets Texture types, overlay etc. directly.

TMUMEM_SIZE

Amount of texture ram in Kb

Amount of texture ram. Overrides Glide autodetect.

TMUMEM

TREX0INIT0

Texture Chip 0 Direct Bitmapped Primary Init Register (glide will change the values of ; these registers depending on other environment variables).

TREX0INIT1

Texture Chip 0 Direct Bitmapped Secondary Init Register

TREX1INIT0

Texture Chip 0 Direct Bitmapped Primary Init Register

TREX1INIT1

Texture Chip 0 Direct Bitmapped Secondary Init Register

TREX2INIT0

Texture Chip 0 Direct Bitmapped Primary Init Register

TREX2INIT1

Texture Chip 2 Direct Bitmapped Secondary Init Register

TRIPLE_BUFFER

If program does no Z or Alpha buffering, use AUX buffer as hidden speed buffer.

VFIFO_TRESH

Treshold of PCI - Voodoo frame buffer access before FIFO is to be serviced.

VGA_PASS

1

0 or 1

Enable VGA pass-trough (1)

VIDCLK2X

VIDEO_24BPP

0

0 or 1

Enable 24-bit video mode (1)

VIDEO_CLEARCOLOR

0 or 1

Color fill backbuffer during a page flip. (0 = enable)

VIDEO_DISABLE

Disable video DAC information stream. Syncing may still be active.

VIDEO_FILTER_DISABLE

Disable 24-16 bit dithering

VIDEO_FILTER_TRESHOLD

16bit pixel value theshhold, in which smoothing will be applied to inside adjacent pixels.

VIDEO_NOCLEAR

Don't clear backbuffer during a page flip.

VIN_CLKDEL

Single Voodoo system video in clock delay

VOUT_CLKDEL

Single Voodoo system video out clock delay

VSYNC

1

0 or 1

Disable vsync, may increase performance (0)

(FX_ Settings)

FX_CPU

FX_GLIDE_BOUNDS_CHECK

FX_GLIDE_LWM

FX_GLIDE_NO_SPLASH

0

0 or 1

1 = Disable 3Dfx logo animation.

FX_GLIDE_SHAMELESS_PLUS

0 or 1

Enables display of a static 3Dfx logo upon Glide init.

FX_GLIDE_SNAPSHOT

FX_GLIDE_SST2

FX_GLIDE_SWAPINTERVAL

1

0 / 1 / 2

0 = off (might improve performance). 0 to swap backbuffer/frontbuffer asap, 1 to swap on vsync, 2 to swap every two vsyncs.

(GV_ Settings)

GV_ENV_GAMMA

GV_ENV_TEXTURE_SQUARE_STATE

About TweakIt

Mojo

This will load and run MOJO.EXE, if installed.

Monster Test

This will load and run MNSTRTST.EXE, if installed.

Device Manager

This options allows the user to run the Windows Device Manager.

Performance

This options allows the user to load the Windows Performance Tab.

DirectX

This options allows the user to load the DirectX Control Panel.

Update

This option allows the user to update all TweakIt settings to the latest release. The UPDATE button will update the following files:

CONFIG.SYS

AUTOEXEC.BAT

Windows Registry (SYSTEM.DAT and USER.DAT).

Help

This displays the TweakIt online help. If you receive an error message when attempting to load the HLP file, use the CONFIGURE button under the OPTION tab to set the TweakIt path. The location of the HLP file defaults to C:\TWEAKIT.

Exit TweakIt

This button closes and exits TweakIt.

3Dfx Tab

TweakIt Options

Standard Settings

Disable 3Dfx spinning logo

Disable Textures

Fast Memory

Fast PCI Read

Disable VSync

Ignore Refresh Rate

Disable Verticle Sync

Overclock

Gamma Settings

Set Gamma

Red / Green /Blue Gamma

Video Refresh Rate

Enable 24bpp

Advanced Settings

Disable Shameless Plug

Enable Dual Monitors

Disable Horizontal Sync

Enable Auxiliary Buffer

Enable VGA Passthrough

Enable Memory FIFO

Initialize Voodoo Chipset

TWEAKIT.BAT File Settings

One Step

Create

Run

Edit

Modify Startup

Edit Startup

Configure

Standard

Safe

Optimal

Basic

Advanced Tab

Advanced (Cont.’d) Tab

TWEAKADV.BAT File Settings

Create

Run

Edit

Modify Startup

Preview Tab

TWEAKIT.BAT Preview

TWEAKADV.BAT Preview

Preview Startup Files

CONFIG.SYS Preview

AUTOEXEC.BAT Preview

Options Tab

Card Settings

Voodoo

Voodoo 2

TweakIt Settings

Enable

Disable

Reset

Options

Configure

Scan

Save Registry

Read Registry

Remove

Prompt at Startup to Load TWEAKIT.BAT

Load Settings from Registry at Startup

Save Settings to Registry at Exit

No Prompts During Installation

Warnings

Do Not Allow Card Damaging Settings

Whats New In This Version

Version 1.0.10

-Initial release

Version 1.0.12

-Added Advanced Settings

Version 1.0.16

-Added TWEAKADV.BAT file settings

Version 1.0.17

-Corrected GAMMA settings

Version 1.0.18

-Added Winhelp file

Version 1.0.19

-Added Preview Startup Files tab

Version 1.0.20

-Added Additional Programs (MOJO.EXE, MNSTRTST.EXE, Windows Device Manager and Windows Performance

-Added Enable/Disable support (these features now automatically update AUTOEXEC.BAT)

-Added CONFIG button (this allows the user to enter the location of TWEAKIT.EXE, ie C:\TWEAKIT)

Version 1.0.21

-Added ‘Remove Settings from Registry’ option (added to DISABLE button)

-Corrected ‘File not found’ message after selecting ‘No’ when disabling TweakIt settings from AUTOEXEC.BAT

-Corrected ‘File not found’ message when using the Preview tabs

-Changed Optimal value for GRXCLK from 60 to 57

Version 1.0.22

-Completely re-coded the entire ‘error handling’ routine. This corrects the following problems:

‘Error 53 – File Not Found’ messages’

‘Automatically creates AUTOEXEC.BAT and/or CONFIG.SYS if not present’

‘Detected incorrect GLIDE driver versions on Windows 98 Beta machines’

‘Corrected FOCUS when running MOJO.EXE and MNSTRTST.EXE’

Version 1.0.23

-Corrected “SET SET” when using GAMMA settings

-Added SCAN button to disable (REM) any 3Dfx SET commands existing in AUTOEXEC.BAT

Version 1.0.25

-Corrected Location of CONTROL.EXE detection

-Added OPTIONS tab, including:

‘Prompt at startup to load TWEAKIT.BAT’ (Automatically answers YES after 3 seconds)

‘Load Settings from Registry at Startup’

‘Save Settings to Registry at Exit’

‘Do Not Allow Card Damaging Settings’ (at this time only GRXCLK and SCREENREFRESH settings are supported)

-Added lower values for GRXCLK settings

-Corrected ‘Type mismatch’ if Registry settings not detected

-Minor cosmetic changes

Version 2.0.1

-Added SET commands for Voodoo 2

Version 2.0.2

-Added DirectX button

-Added GUIDE ME button (Voodoo Settings Wizard, currently disabled)

-Corrected ‘Type mismatch’ if Registry settings not detected at exit and/or startup

Version 2.0.3

-Updated TWEAKIT.HLP file

-Added GAMMA VALUES dropdown boxes

-Removed GUIDE ME button

-Added UPDATE button

-Correct Voodoo 2 settings for TWEAKADV.BAT

Version 2.0.5

-Added ONE STEP button

-Added %WINBOOTDIR% to RUNME95.BAT

-Added IF EXIST to RUNME95.BAT

-Enabled BACKPORCH SET command

-Added ‘No prompt during configuration’ option

Version 2.0.8

-Updated UPDATE button to detect if TweakIt settings are already current

Version 2.0.16

-Added DIRECTX tab

-Added ENABLE/DISABLE Direct3D Hardware Acceleration

-Added ENABLE/DISABLE DirectDraw Hardware Acceleration

-Added DXTOOL.EXE program support

-Added DXINFO.EXE program support

-Added Voodoo2 GRXCLK settings (direct Registry support)

-Added BASIC button for, well, basic 3Dfx settings

-Added GL commands

Version 2.0.20

-Added System Tray support

-Added new variables: 2 DirectX, 7 FX_GLIDE, 27 SST and SSTV2

-Added REBOOT button

-Added START TWEAKIT WITH WINDOWS option

-Added RUN TWEAKIT IN TRAY option

-Added AUREAL SOUND support (via DirectSound)

-Added ENABLE/DISABLE DirectSound Hardware Acceleration

-Added support for MILLCLK (Matrox Millenium and Millenium II overclocking utility)

Version 2.0.22 Maintenance Release

-Removed DirectX support (replaced with DirectControl)

-Removed MILLCLK support (new MillClk frontend coming soon)

-Disabled Windows Registry support

Users have reported problems when loading TweakIt, for example, OBJECT NOT

FOUND messages. This release is to try and eliminate these problems.

Version 2.0.24 BETA RELEASE 1

-Added new install / uninstall

-Added STARTUP.BAT file. This file sets the Voodoo / Voodoo 2 settings after any Windows drivers, control applets, etc. This is the ensure that the settings you set in TweakIt are not overwritten by any other utility loading after the TWEAKIT.BAT file.

-Simplified TweakIt’s user interface

-Enabled 20 Advanced settings

-Added DirectX variables

-New routines to create TWEAKIT.BAT and TWKADV.BAT (90% smaller file sizes)

-Enabled SAVE TO and READ FROM registry options (saves time re-entering values)

-Added 3Dfx card select option, this will allow TweakIt to customize settings for your exact 3D card

Version 2.0.24 BETA RELEASE 2

-Enabled DirectX variables

-Added Memory options (video and 3Dfx card)

-Added Cooling Fan option

Version 2.0.24 BETA RELEASE 3

-Increased Voodoo2 GLIDE/D3D overclock to 105Mhz

-Added D3D and GLIDE settings for Voodoo (link option not yet working)

-Added automatic SAVE SETTINGS ON EXIT

-Added automatic LOAD SETTINGS AT STARTUP

-Enabled 5 more Advanced settings

-Added SLI Mode to Options

-Added Creative Labs Voodoo 2 under Card Types

-Added Windows Control Panel

-Corrected Card Type detection

-Corrected Load Settings

Version 2.0.26 BETA RELEASE 4

-Added new Advanced Voodoo tab

-Added 10 new Voodoo 2 settings

-Enabled 4 more Advanced settings

-Added Windows Display properties

-Updated Voodoo2 GLIDE/D3D overclock settings (now 85 – 105Mhz)

Version 2.0.26 BETA RELEASE 4a

-Corrected ‘Object Not Found Error’ when selecting Voodoo 2 cards

Version 2.0.28 BETA RELEASE 5

-Added slider bars for Voodoo / Voodoo 2 / Direct3D / Glide clock settings and refresh rates

-Added Direct3D Anti-aliasing

-Added /UPDATE command line option (this allows users to easily update their TweakIt settings between releases

-Added slider bars for GAMMA settings (link option not working)

-Updated D3D and GLIDE settings for Voodoo (link option now working)

-Added ‘Save Settings’ prompt on exit

Version 2.0.28 BETA RELEASE 5a

-Added PRINT option to TWEAKIT.BAT and TWEAKADV.BAT preview

Version 2.0.30 BETA RELEASE 6

-Added Control Panel dropdown box

-Added new format for TWEAKIT.BAT settings, TWEAKIT configurations, and TWEAKADV.BAT settings

-Added 4 new Voodoo 2 settings

Acknowledgements

Special thanks to Tim Tibbetts and the rest of the folks at www.3dfxmania.com for providing TweakIt with ‘a place on the web’

Special thanks to Daron Myrick for providing me the list and definitions of the Voodoo/Voodoo2/Glide/DirectX variables that TweakIt uses.

Göran Åberg

John Hildenbiddle

Steven A. Peters

Richard W. Taylor